diff -EbwBru 6.0.0.M1/org/jboss/mx/util/MBeanProxyExt.java trunk/org/jboss/mx/util/MBeanProxyExt.java
--- 6.0.0.M1/org/jboss/mx/util/MBeanProxyExt.java	2009-11-30 14:31:27.000000000 -0600
+++ trunk/org/jboss/mx/util/MBeanProxyExt.java	2009-12-10 12:42:21.000000000 -0600
@@ -49,7 +49,7 @@
  * @author <a href="mailto:jason@planet57.com">Jason Dillon</a>.
  * @author <a href="mailto:adrian.brock@happeningtimes.com">Adrian Brock</a>.
  * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>.
- * @version <tt>$Revision: 81019 $</tt>
+ * @version <tt>$Revision: 85671 $</tt>
  */
 public class MBeanProxyExt
    implements InvocationHandler, MBeanProxyInstance, Externalizable
@@ -75,7 +75,7 @@
    /**
     * The MBean's attributes
     */
-   private transient final HashMap attributeMap = new HashMap();
+   private transient final HashMap<String, MBeanAttributeInfo> attributeMap = new HashMap<String, MBeanAttributeInfo>();
    /**
     * Have the attributes been retrieved
     */
@@ -114,7 +114,7 @@
       throws Throwable
    {
       // if the method belongs to ProxyInstance, then invoke locally
-      Class type = method.getDeclaringClass();
+      Class<?> type = method.getDeclaringClass();
       if (type == MBeanProxyInstance.class || type == Object.class)
       {
          return method.invoke(this, args);
@@ -129,7 +129,7 @@
             init();
 
          String attrName = methodName.substring(3);
-         MBeanAttributeInfo info = (MBeanAttributeInfo) attributeMap.get(attrName);
+         MBeanAttributeInfo info = attributeMap.get(attrName);
          if (info != null)
          {
             String retType = method.getReturnType().getName();
@@ -154,10 +154,10 @@
             init();
 
          String attrName = methodName.substring(2);
-         MBeanAttributeInfo info = (MBeanAttributeInfo) attributeMap.get(attrName);
+         MBeanAttributeInfo info = attributeMap.get(attrName);
          if (info != null && info.isIs())
          {
-            Class retType = method.getReturnType();
+            Class<?> retType = method.getReturnType();
             if (retType.equals(Boolean.class) || retType.equals(Boolean.TYPE))
             {
                try
@@ -179,7 +179,7 @@
             init();
 
          String attrName = methodName.substring(3);
-         MBeanAttributeInfo info = (MBeanAttributeInfo) attributeMap.get(attrName);
+         MBeanAttributeInfo info = attributeMap.get(attrName);
          if (info != null && method.getReturnType() == Void.TYPE)
          {
             try
@@ -197,7 +197,7 @@
       // Operation
 
       // convert the parameter types to strings for JMX
-      Class[] types = method.getParameterTypes();
+      Class<?>[] types = method.getParameterTypes();
       String[] sig = new String[types.length];
       for (int i = 0; i < types.length; i++)
       {
@@ -300,7 +300,7 @@
     * @throws javax.management.MalformedObjectNameException Invalid object
     * name.
     */
-   public static Object create(final Class intf, final String name)
+   public static Object create(final Class<?> intf, final String name)
       throws MalformedObjectNameException
    {
       return create(intf, new ObjectName(name));
@@ -316,7 +316,7 @@
     * @throws javax.management.MalformedObjectNameException Invalid object
     * name.
     */
-   public static Object create(final Class intf,
+   public static Object create(final Class<?> intf,
       final String name,
       final MBeanServer server)
       throws MalformedObjectNameException
@@ -330,7 +330,7 @@
     * @param name The name of the MBean to proxy invocations to.
     * @return A MBean proxy.
     */
-   public static Object create(final Class intf, final ObjectName name)
+   public static Object create(final Class<?> intf, final ObjectName name)
    {
       return create(intf, name, MBeanServerLocator.locateJBoss());
    }
@@ -342,7 +342,7 @@
     * @param server The MBeanServer that contains the MBean to proxy to.
     * @return A MBean proxy.
     */
-   public static Object create(final Class intf,
+   public static Object create(final Class<?> intf,
       final ObjectName name,
       final MBeanServer server)
    {
@@ -358,17 +358,17 @@
     *    be retrieved when the proxy is created.
     * @return A MBean proxy.
     */
-   public static Object create(final Class intf, final ObjectName name,
+   public static Object create(final Class<?> intf, final ObjectName name,
       final MBeanServer server, boolean lazyInit)
    {
       // CL which delegates to MBeanProxyInstance's cl for it's class resolution
-      PrivilegedAction action = new PrivilegedAction()
+      PrivilegedAction<ClassLoader> action = new PrivilegedAction<ClassLoader>()
       {
-         public Object run()
+         public ClassLoader run()
          {
             ClassLoader cl = new ClassLoader(intf.getClassLoader())
             {
-               public Class loadClass(final String className) throws ClassNotFoundException
+               public Class<?> loadClass(final String className) throws ClassNotFoundException
                {
                   try
                   {
@@ -389,8 +389,8 @@
             return cl;
          }
       };
-      ClassLoader cl = (ClassLoader) AccessController.doPrivileged(action);
-      Class[] ifaces = {MBeanProxyInstance.class, intf};
+      ClassLoader cl = AccessController.doPrivileged(action);
+      Class<?>[] ifaces = {MBeanProxyInstance.class, intf};
       InvocationHandler handler = new MBeanProxyExt(name, server, lazyInit);
       return Proxy.newProxyInstance(cl, ifaces, handler);
    }
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/MBeanProxy.java trunk/org/jboss/mx/util/MBeanProxy.java
--- 6.0.0.M1/org/jboss/mx/util/MBeanProxy.java	2009-11-30 14:31:27.000000000 -0600
+++ trunk/org/jboss/mx/util/MBeanProxy.java	2009-12-10 12:42:21.000000000 -0600
@@ -38,7 +38,7 @@
  * @see java.lang.reflect.Proxy
  *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
- * @version $Revision: 81019 $
+ * @version $Revision: 85671 $
  *   
  */
 public class MBeanProxy
@@ -57,7 +57,7 @@
     *
     * @throws MBeanProxyCreationException if the proxy could not be created
     */
-   public static Object get(Class intrface, ObjectName name, String agentID) throws MBeanProxyCreationException
+   public static Object get(Class<?> intrface, ObjectName name, String agentID) throws MBeanProxyCreationException
    {
       return get(intrface, name, (MBeanServer)MBeanServerFactory.findMBeanServer(agentID).get(0));
    }
@@ -73,19 +73,17 @@
     *
     * @throws MBeanProxyCreationException if the proxy could not be created
     */
-   public static Object get(Class intrface, ObjectName name, MBeanServer server)  throws MBeanProxyCreationException
+   public static Object get(Class<?> intrface, ObjectName name, MBeanServer server)  throws MBeanProxyCreationException
    {
       return get(new Class[] { intrface, ProxyContext.class, DynamicMBean.class }, name, server);
    }
 
-   /**
-    */
    public static Object get(ObjectName name, MBeanServer server)  throws MBeanProxyCreationException
    {
       return get(new Class[] { ProxyContext.class, DynamicMBean.class }, name, server);
    }
 
-   private static Object get(Class[] interfaces, ObjectName name, MBeanServer server) throws MBeanProxyCreationException
+   private static Object get(Class<?>[] interfaces, ObjectName name, MBeanServer server) throws MBeanProxyCreationException
    {
       return Proxy.newProxyInstance(
             Thread.currentThread().getContextClassLoader(),
@@ -105,7 +103,7 @@
     *
     * @throws MBeanProxyCreationException if the proxy could not be created
     */
-   public static Object create(Class instance, Class intrface, ObjectName name, String agentID) throws MBeanProxyCreationException
+   public static Object create(Class<?> instance, Class<?> intrface, ObjectName name, String agentID) throws MBeanProxyCreationException
    {
       return create(instance, intrface, name, (MBeanServer)MBeanServerFactory.findMBeanServer(agentID).get(0));
    }   
@@ -117,10 +115,11 @@
     * @param   intrface the interface this proxy implements
     * @param   name     object name of the MBean
     * @param   server   MBean server this proxy connects to
+    * @return  the proxy
     *
     * @throws MBeanProxyCreationException if the proxy could not be created
     */
-   public static Object create(Class instance, Class intrface, ObjectName name, MBeanServer server) throws MBeanProxyCreationException
+   public static Object create(Class<?> instance, Class<?> intrface, ObjectName name, MBeanServer server) throws MBeanProxyCreationException
    {
       try
       {
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/MBeanServerLocator.java trunk/org/jboss/mx/util/MBeanServerLocator.java
--- 6.0.0.M1/org/jboss/mx/util/MBeanServerLocator.java	2009-11-30 14:31:27.000000000 -0600
+++ trunk/org/jboss/mx/util/MBeanServerLocator.java	2009-12-10 12:42:21.000000000 -0600
@@ -25,6 +25,7 @@
 
 import javax.management.MBeanServer;
 import javax.management.MBeanServerFactory;
+import javax.management.ObjectName;
 
 /**
  * A helper class to locate an MBeanServer.
@@ -38,7 +39,7 @@
  * @author <a href="mailto:jason@planet57.com">Jason Dillon</a>
  * @author Scott.Stark@jboss.org
  * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a> 
- * @version $Revision: 81019 $
+ * @version $Revision: 86129 $
  */
 public class MBeanServerLocator
 {
@@ -102,6 +103,7 @@
     * @return the main jboss MBeanServer
     * @throws IllegalStateException when no MBeanServer can be found
     */
+   @SuppressWarnings("unchecked")
    public static MBeanServer locateJBoss()
    {
       synchronized (MBeanServerLocator.class)
@@ -111,9 +113,9 @@
             return instance;
          }
       }      
-      for (Iterator i = MBeanServerFactory.findMBeanServer(null).iterator(); i.hasNext(); )
+      for (Iterator<MBeanServer> i = MBeanServerFactory.findMBeanServer(null).iterator(); i.hasNext(); )
       {
-         MBeanServer server = (MBeanServer) i.next();
+         MBeanServer server = i.next();
          if (server.getDefaultDomain().equals("jboss"))
          {
             return server;
@@ -121,4 +123,25 @@
       }
       throw new IllegalStateException("No 'jboss' MBeanServer found!");
    }   
+
+   /**
+    * Returns the agent identifier string of a given MBean server instance.
+    *
+    * @param server the MBeanServer
+    * @return <tt>MBeanServerId</tt> attribute of the MBean server delegate.
+    */
+   public static String getId(MBeanServer server)
+   {
+      try 
+      {
+         ObjectName name = ObjectName.getInstance("JMImplementation:type=MBeanServerDelegate");
+         String agentID = (String)server.getAttribute(name, "MBeanServerId");   
+      
+         return agentID;
+      }
+      catch (Throwable t)
+      {
+         throw new Error("Cannot find the MBean server delegate: " + t.toString());
+      }
+   }
 }
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/MBeanTyperInvoker.java trunk/org/jboss/mx/util/MBeanTyperInvoker.java
--- 6.0.0.M1/org/jboss/mx/util/MBeanTyperInvoker.java	2009-11-30 14:38:49.000000000 -0600
+++ trunk/org/jboss/mx/util/MBeanTyperInvoker.java	2009-12-10 12:42:47.000000000 -0600
@@ -21,7 +21,6 @@
  */
 package org.jboss.mx.util;
 
-import javax.management.*;
 import java.lang.reflect.InvocationTargetException;
 import java.lang.reflect.Method;
 import java.lang.reflect.UndeclaredThrowableException;
@@ -29,12 +28,17 @@
 import java.util.HashMap;
 import java.util.Map;
 
+import javax.management.MBeanException;
+import javax.management.MBeanServer;
+import javax.management.ObjectName;
+
 /**
  * MBeanTyperInvoker handles method invocations against the MBeanTyper target object
  * and forwards them to the MBeanServer and ObjectName for invocation.
  *
  * @author <a href="mailto:jhaynie@vocalocity.net">Jeff Haynie</a>
  */
+@SuppressWarnings("unchecked")
 final class MBeanTyperInvoker implements java.lang.reflect.InvocationHandler
 {
     private final MBeanServer server;
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/MBeanTyper.java trunk/org/jboss/mx/util/MBeanTyper.java
--- 6.0.0.M1/org/jboss/mx/util/MBeanTyper.java	2009-11-30 14:38:49.000000000 -0600
+++ trunk/org/jboss/mx/util/MBeanTyper.java	2009-12-10 12:42:47.000000000 -0600
@@ -42,12 +42,18 @@
  *
  * @author <a href="mailto:jhaynie@vocalocity.net">Jeff Haynie</a>
  */
+@SuppressWarnings("unchecked")
 public class MBeanTyper
 {
     static final boolean DEBUG = Boolean.getBoolean("jboss.jmx.debug");
 
     /**
      * create a typed object from an mbean
+    * @param server 
+    * @param mbean 
+    * @param mainInterface 
+    * @return the object
+    * @throws Exception 
      */
     public static final Object typeMBean(MBeanServer server, ObjectName mbean, Class mainInterface)
             throws Exception
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/MetaDataUtil.java trunk/org/jboss/mx/util/MetaDataUtil.java
--- 6.0.0.M1/org/jboss/mx/util/MetaDataUtil.java	2009-11-30 14:31:27.000000000 -0600
+++ trunk/org/jboss/mx/util/MetaDataUtil.java	2009-12-10 12:42:21.000000000 -0600
@@ -31,7 +31,7 @@
  * @author  <a href="mailto:jason@planet57.com">Jason Dillon</a>
  * @author <a href="Scott.Stark@jboss.org">Scott Stark</a>
  * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>
- * @version $Revision: 81019 $
+ * @version $Revision: 85671 $
  */
 public final class MetaDataUtil
 {
@@ -47,7 +47,7 @@
    public static final String SHORT_TYPE_NAME = Short.TYPE.getName();
    public static final String VOID_TYPE_NAME = Void.TYPE.getName();
 
-   private static final HashSet reserved = new HashSet();
+   private static final HashSet<String> reserved = new HashSet<String>();
 
    static
    {
@@ -204,7 +204,7 @@
     *
     * Null is returned when the array declaration is invalid.
     *
-    * @param string the string to test
+    * @param className the string to test
     * @return the underlying class name or null
     */
    public static String getBaseClassName(String className)
Only in 6.0.0.M1/org/jboss/mx/util: MonitorCallback.java
Only in 6.0.0.M1/org/jboss/mx/util: MonitorRunnable.java
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/ObjectNameConverter.java trunk/org/jboss/mx/util/ObjectNameConverter.java
--- 6.0.0.M1/org/jboss/mx/util/ObjectNameConverter.java	2009-11-30 14:31:27.000000000 -0600
+++ trunk/org/jboss/mx/util/ObjectNameConverter.java	2009-12-10 12:42:21.000000000 -0600
@@ -48,7 +48,7 @@
  *
  * @author <a href="mailto:andreas@jboss.org">Andreas Schaefer</a>
  * @author <a href="mailto:william.hoyle@jungledrum.co.nz">William Hoyle</a>
- * @version $Revision: 81019 $
+ * @version $Revision: 85671 $
  */
 public class ObjectNameConverter
 {
@@ -99,13 +99,14 @@
     * Check the keys and values of the properties and convert invalid characters
     *
     * @param pDomainName Name of the Domain
-    * @param pProperites Hashtable containing the properties of the Object Name
+    * @param pProperties Hashtable containing the properties of the Object Name
     *
     * @return Created Object Name with the converted keays and values
     *
     * @throws javax.management.MalformedObjectNameException If the given Object Name
     *         is not correct
     **/
+   @SuppressWarnings("unchecked")
    public static ObjectName convert( String pDomainName, Hashtable pProperties )
       throws MalformedObjectNameException
    {
@@ -128,6 +129,7 @@
     *         and will contain a "*" as key if the given object
     *         name is a property pattern for queries.
     **/
+   @SuppressWarnings("unchecked")
    public static Hashtable getProperties( ObjectName pObjectName )
    {
       Hashtable lReturn = reverseProperties( pObjectName.getKeyPropertyList() );
@@ -296,6 +298,7 @@
     * detects property patterns
     *
     */
+   @SuppressWarnings("unchecked")
    private static ObjectName createObjectName(String domain, String properties) throws MalformedObjectNameException
    {
       if (null == properties || properties.length() < 1)
@@ -355,6 +358,7 @@
     *
     * precomputes the hashcode
     */
+   @SuppressWarnings("unchecked")
    private static ObjectName createObjectName(String domain, Hashtable properties, boolean pPattern) throws MalformedObjectNameException
    {
       if (null == properties || (!pPattern && properties.size() < 1))
@@ -398,6 +402,7 @@
       return result;
    }
    
+   @SuppressWarnings("unchecked")
    private static Hashtable reverseProperties( Hashtable pProperties ) {
       Hashtable lReturn = new Hashtable( pProperties.size() );
       Iterator i = pProperties.keySet().iterator();
@@ -411,6 +416,7 @@
       return lReturn;
    }
    
+   @SuppressWarnings("unchecked")
    private static String reverseString( Hashtable pProperties ) {
       StringBuffer lReturn = new StringBuffer();
       Iterator i = pProperties.keySet().iterator();
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/ObjectNameFactory.java trunk/org/jboss/mx/util/ObjectNameFactory.java
--- 6.0.0.M1/org/jboss/mx/util/ObjectNameFactory.java	2009-11-30 14:31:27.000000000 -0600
+++ trunk/org/jboss/mx/util/ObjectNameFactory.java	2009-12-10 12:42:21.000000000 -0600
@@ -37,7 +37,7 @@
  * interface.
  *      
  * @author <a href="mailto:jason@planet57.com">Jason Dillon</a>
- * @version $Revision: 81019 $
+ * @version $Revision: 85671 $
  */
 public class ObjectNameFactory
 {
@@ -65,6 +65,7 @@
       }
    }
 
+   @SuppressWarnings("unchecked")
    public static ObjectName create(String domain, Hashtable table)
    {
       try
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/ObjectNameMatch.java trunk/org/jboss/mx/util/ObjectNameMatch.java
--- 6.0.0.M1/org/jboss/mx/util/ObjectNameMatch.java	2009-11-30 14:31:27.000000000 -0600
+++ trunk/org/jboss/mx/util/ObjectNameMatch.java	2009-12-10 12:42:21.000000000 -0600
@@ -31,7 +31,7 @@
 /** JMX ObjectName comparision utility methods
  *
  * @author Scott.Stark@jboss.org
- * @version $Revision: 81019 $
+ * @version $Revision: 85671 $
  */
 public class ObjectNameMatch
 {
@@ -41,6 +41,7 @@
     * @param n1 An ObjectName or pattern
     * @return true if n0 and n1 match, false otherwise
     */
+   @SuppressWarnings("unchecked")
    public static boolean match(ObjectName n0, ObjectName n1)
    {
       boolean match = n0.equals(n1);
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/ObjectNamePatternHelper.java trunk/org/jboss/mx/util/ObjectNamePatternHelper.java
--- 6.0.0.M1/org/jboss/mx/util/ObjectNamePatternHelper.java	2009-11-30 14:31:27.000000000 -0600
+++ trunk/org/jboss/mx/util/ObjectNamePatternHelper.java	2009-12-10 12:42:21.000000000 -0600
@@ -36,7 +36,7 @@
  *
  * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
  * @author  <a href="mailto:trevor@protocool.com">Trevor Squires</a>.
- * @version $Revision: 81019 $
+ * @version $Revision: 85671 $
  */
 public class ObjectNamePatternHelper
 {
@@ -47,6 +47,7 @@
     *
     * @param test the string to test
     * @param pattern the pattern to match
+    * @return true on a match
     */
    public static boolean patternMatch(ObjectName test, ObjectName pattern)
    {
@@ -66,6 +67,7 @@
     *
     * @param test the string to test
     * @param pattern the pattern to match
+    * @return true on a match
     */
    public static boolean patternMatch(String test, String pattern)
    {
@@ -86,6 +88,7 @@
     * @param tpos the start of the test string
     * @param pattern the pattern to match
     * @param ppos the start of the pattern string
+    * @return true on a match
     */
    public static boolean patternMatch(char[] test, int tpos, char[] pattern, int ppos)
    {
@@ -157,6 +160,7 @@
        *
        * @param pattern the object name that might be a pattern
        */
+      @SuppressWarnings("unchecked")
       public PropertyPattern(ObjectName pattern)
       {
          isPropertyPattern = pattern.isPropertyPattern();
@@ -183,7 +187,9 @@
        * Test whether the object name matches the pattern
        *
        * @param name the name to test
+       * @return true on a match
        */
+      @SuppressWarnings("unchecked")
       public boolean patternMatch(ObjectName name)
       {
          if (isPropertyPattern)
Only in 6.0.0.M1/org/jboss/mx/util: ObservedObject.java
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/PropertyAccess.java trunk/org/jboss/mx/util/PropertyAccess.java
--- 6.0.0.M1/org/jboss/mx/util/PropertyAccess.java	2009-11-30 14:31:27.000000000 -0600
+++ trunk/org/jboss/mx/util/PropertyAccess.java	2009-12-10 12:42:21.000000000 -0600
@@ -30,11 +30,11 @@
  * permissions should not dictate whether or not access is allowed.
  *
  * @author Scott.Stark@jboss.org
- * @version $Revision: 81019 $
+ * @version $Revision: 86129 $
  */
-public class PropertyAccess
+class PropertyAccess
 {
-   static class PropertyReadAction implements PrivilegedAction
+   static class PropertyReadAction implements PrivilegedAction<String>
    {
       private String name;
       private String defaultValue;
@@ -43,12 +43,12 @@
          this.name = name;
          this.defaultValue = defaultValue;
       }
-      public Object run()
+      public String run()
       {
          return System.getProperty(name, defaultValue);
       }
    }
-   static class PropertyWriteAction implements PrivilegedAction
+   static class PropertyWriteAction implements PrivilegedAction<String>
    {
       private String name;
       private String value;
@@ -57,7 +57,7 @@
          this.name = name;
          this.value = value;
       }
-      public Object run()
+      public String run()
       {
          return System.setProperty(name, value);
       }
@@ -70,15 +70,15 @@
 
    public static String getProperty(String name, String defaultValue)
    {
-      PrivilegedAction action = new PropertyReadAction(name, defaultValue);
-      String property = (String) AccessController.doPrivileged(action);
+      PropertyReadAction action = new PropertyReadAction(name, defaultValue);
+      String property = AccessController.doPrivileged(action);
       return property;
    }
 
    public static String setProperty(String name, String value)
    {
-      PrivilegedAction action = new PropertyWriteAction(name, value);
-      String property = (String) AccessController.doPrivileged(action);
+      PropertyWriteAction action = new PropertyWriteAction(name, value);
+      String property = AccessController.doPrivileged(action);
       return property;
    }
    
Only in 6.0.0.M1/org/jboss/mx/util: QueryExpSupport.java
Only in 6.0.0.M1/org/jboss/mx/util: RunnableScheduler.java
Only in 6.0.0.M1/org/jboss/mx/util: SchedulableRunnable.java
Only in 6.0.0.M1/org/jboss/mx/util: Serialization.java
diff -EbwBru 6.0.0.M1/org/jboss/mx/util/TimeFormat.java trunk/org/jboss/mx/util/TimeFormat.java
--- 6.0.0.M1/org/jboss/mx/util/TimeFormat.java	2009-11-30 14:38:49.000000000 -0600
+++ trunk/org/jboss/mx/util/TimeFormat.java	2009-12-10 12:42:47.000000000 -0600
@@ -39,11 +39,14 @@
  * FIXME: expanded features need documentation. JGH
  *
  * @author <a href="mailto:jhaynie@vocalocity.net">Jeff Haynie</a>
- * @date   $Date: 2008-11-14 06:45:28 -0600 (Fri, 14 Nov 2008) $
- * @version $Revision: 81022 $
+ * @date   $Date: 2009-03-10 06:05:10 -0500 (Tue, 10 Mar 2009) $
+ * @version $Revision: 85671 $
  */
 public final class TimeFormat implements Serializable
 {
+    /** The serialVersionUID */
+   private static final long serialVersionUID = -2292807210697968506L;
+
     public static final boolean DEBUG = false;
 
     public static final long ONE_MILLISECOND = (1);
@@ -250,7 +253,7 @@
     }
 
     /**
-     * get the milliseconds
+     * @return the milliseconds
      */
     public long getMilliseconds()
     {
@@ -267,6 +270,7 @@
 
     /**
      * set rounding - one of ROUND_TO_MILLISECONDS, etc.
+    * @param r 
      */
     public void setRounding(int r)
     {
@@ -274,7 +278,7 @@
     }
 
     /**
-     * return the rounding
+     * @return the rounding
      */
     public int getRouding()
     {
@@ -283,6 +287,8 @@
 
     /**
      * format string based on rouding
+    * @param round 
+    * @return the formatted string
      */
     public String format(int round)
     {
@@ -434,7 +440,6 @@
      * rounding to <code>round</code>
      *
      * @param t
-     * @param round
      * @return String value
      */
     public static String valueOf(long t)
@@ -444,6 +449,9 @@
 
     /**
      * format with a date time
+    * @param format 
+    * @param time 
+    * @return the string
      */
     public static String format(String format, long time)
     {
